Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenExternalNodeLabel

All Superinterfaces:
  EObject, GenCommonBase, GenLabel, GenNodeLabel, Notifier

All Known Implementing Classes:
  GenExternalNodeLabelImpl

public interface GenExternalNodeLabel
extends GenNodeLabel

A representation of the model object 'Gen External Node Label'. Label attached to node

See Also:
  `GMFGenPackage.getGenExternalNodeLabel()`
** Generated **
Model:

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLabel
`CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNodeLabel
`getNode, setNode`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLabel
`getMetaFeatures, getModelFacet, isElementIcon, isReadOnly, setElementIcon, setModelFacet, setReadOnly`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.